Package org.eclipse.e4.ui.bindings.internal

# Class BindingServiceImpl

java.lang.Object
org.eclipse.e4.ui.bindings.internal.BindingServiceImpl

All Implemented Interfaces:
  `EBindingService`

public class BindingServiceImpl extends Object implements EBindingService

## Field Summary

### Fields inherited from interface org.eclipse.e4.ui.bindings.EBindingService

`ACTIVE_SCHEME_TAG, DEFAULT_SCHEME_ID, DELETED_BINDING_TAG, DIALOG_CONTEXT_ID, LOCALE_ATTR_TAG, MODEL_TO_BINDING_KEY, PLATFORM_ATTR_TAG, SCHEME_ID_ATTR_TAG, TYPE_ATTR_TAG`

## Constructor Summary

Constructors
Constructor
Description
`BindingServiceImpl()`

## Method Summary

Modifier and Type
Method
Description
`void`
`activateBinding(Binding binding)`
`Binding`
`createBinding(TriggerSequence sequence, ParameterizedCommand command, String contextId, Map<String,String> attributes)`
`TriggerSequence`
`createSequence(String sequence)`
`void`
`deactivateBinding(Binding binding)`
`Collection<Binding>`
`getActiveBindings()`
`Collection<Binding>`
`getAllConflicts()`
`TriggerSequence`
`getBestSequenceFor(ParameterizedCommand command)`
`Collection<Binding>`
`getBindingsFor(ParameterizedCommand command)`
`Collection<Binding>`
`getConflictsFor(TriggerSequence sequence)`
`IEclipseContext`
`getContext()`
`Collection<Binding>`
`getPartialMatches(TriggerSequence sequence)`
`Binding`
`getPerfectMatch(TriggerSequence trigger)`
`Collection<TriggerSequence>`
`getSequencesFor(ParameterizedCommand command)`
`boolean`
`isPartialMatch(TriggerSequence keySequence)`
`boolean`
`isPerfectMatch(TriggerSequence sequence)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BindingServiceImpl

public BindingServiceImpl()

## Method Details

### createBinding

public Binding createBinding(TriggerSequence sequence, ParameterizedCommand command, String contextId, Map<String,String> attributes)

Specified by:
  `createBinding` in interface `EBindingService`

### activateBinding

public void activateBinding(Binding binding)

Specified by:
  `activateBinding` in interface `EBindingService`

### deactivateBinding

public void deactivateBinding(Binding binding)

Specified by:
  `deactivateBinding` in interface `EBindingService`

### createSequence

public TriggerSequence createSequence(String sequence)

Specified by:
  `createSequence` in interface `EBindingService`

### getConflictsFor

public Collection<Binding> getConflictsFor(TriggerSequence sequence)

Specified by:
  `getConflictsFor` in interface `EBindingService`

### getAllConflicts

public Collection<Binding> getAllConflicts()

Specified by:
  `getAllConflicts` in interface `EBindingService`

### getPerfectMatch

public Binding getPerfectMatch(TriggerSequence trigger)

Specified by:
  `getPerfectMatch` in interface `EBindingService`

### isPartialMatch

public boolean isPartialMatch(TriggerSequence keySequence)

Specified by:
  `isPartialMatch` in interface `EBindingService`

### getBestSequenceFor

public TriggerSequence getBestSequenceFor(ParameterizedCommand command)

Specified by:
  `getBestSequenceFor` in interface `EBindingService`

### getSequencesFor

public Collection<TriggerSequence> getSequencesFor(ParameterizedCommand command)

Specified by:
  `getSequencesFor` in interface `EBindingService`

### getBindingsFor

public Collection<Binding> getBindingsFor(ParameterizedCommand command)

Specified by:
  `getBindingsFor` in interface `EBindingService`

### isPerfectMatch

public boolean isPerfectMatch(TriggerSequence sequence)

Specified by:
  `isPerfectMatch` in interface `EBindingService`

### getPartialMatches

public Collection<Binding> getPartialMatches(TriggerSequence sequence)

Specified by:
  `getPartialMatches` in interface `EBindingService`

### getContext

public IEclipseContext getContext()

Returns:
  the context for this service.

### getActiveBindings

public Collection<Binding> getActiveBindings()

Specified by:
  `getActiveBindings` in interface `EBindingService`